//
//  SBSDKUINFCPassportReaderResult.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 08.04.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUINFCPassportReaderResult {
    var encodedDictionary: [String: Any?] {

        let dictionary: [String: Any?] = ["dataGroup1": self.datagroupDG1?.encodedDictionary,
                                          "dataGroup2": self.datagroupDG2?.encodedDictionary,
                                          "photoUri": self.photoImageURL?.absoluteString]

        return dictionary
    }
}
